Advertisement
This article is a stub. You can help Evertile: Battle Arena Wiki by expanding it.

The following are the minimum and recommended system requirements for Evertile: Battle Arena. While these requirements do not represent a guaranteed working configuration, meeting the minimum requirements should ensure at least a launch-able environment.

Minimum requirements

At this time, system requirements vary with device. If your device is registered with Google Play, you can check there to see if your device is supported.

See also

Community content is available under CC BY-NC-SA 3.0 unless otherwise noted.